Bug 28455 - If TrackLastPatronActivity is enabled we should update 'lastseen' field on checkouts
Summary: If TrackLastPatronActivity is enabled we should update 'lastseen' field on ch...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on: 28467
Blocks: 15504
  Show dependency treegraph
 
Reported: 2021-05-25 18:18 UTC by Nick Clemens
Modified: 2021-08-16 18:27 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
This updates the 'lastseen' date for a patron when items are checked out (when TrackLastPatronActivity is enabled). (The last seen date is displayed on the patron details page.)
Version(s) released in:
21.11.00,21.05.02,20.11.09


Attachments
Bug 28455: lastseen should be updated at checkout if TrackLastPatronActivity is enabled (955 bytes, patch)
2021-05-25 18:24 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 28455: lastseen should be updated at checkout if TrackLastPatronActivity is enabled (1021 bytes, patch)
2021-05-28 13:08 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 28455: Update wording on TrackLastPatronActivity (1.58 KB, patch)
2021-06-03 21:14 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 28455: lastseen should be updated at checkout if TrackLastPatronActivity is enabled (1.04 KB, patch)
2021-06-03 23:16 UTC, David Nind
Details | Diff | Splinter Review
Bug 28455: Update wording on TrackLastPatronActivity (1.62 KB, patch)
2021-06-03 23:17 UTC, David Nind
Details | Diff | Splinter Review
Bug 28455: lastseen should be updated at checkout if TrackLastPatronActivity is enabled (1.11 KB, patch)
2021-06-29 07:17 UTC, Emmi Takkinen
Details | Diff | Splinter Review
Bug 28455: Update wording on TrackLastPatronActivity (1.69 KB, patch)
2021-06-29 07:17 UTC, Emmi Takkinen
Details | Diff | Splinter Review
Bug 28455: lastseen should be updated at checkout if TrackLastPatronActivity is enabled (1.17 KB, patch)
2021-06-29 14:07 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 28455: Update wording on TrackLastPatronActivity (1.75 KB, patch)
2021-06-29 14:07 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2021-05-25 18:18:47 UTC

    
Comment 1 Nick Clemens 2021-05-25 18:24:14 UTC
Created attachment 121396 [details] [review]
Bug 28455: lastseen should be updated at checkout if TrackLastPatronActivity is enabled
Comment 2 Andrew Fuerste-Henry 2021-05-28 13:08:55 UTC
Created attachment 121481 [details] [review]
Bug 28455: lastseen should be updated at checkout if TrackLastPatronActivity is enabled

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 3 Andrew Fuerste-Henry 2021-05-28 13:18:13 UTC
Test plan I followed:
1 - turn on TrackLastPatronActivity
2 - find a patron, look at their lastseen date
3 - check out to them, confirm lastseen didn't change
4 - apply patch, restart stuff
5 - repeat 3, but lastseen did change this time!
Comment 4 Katrin Fischer 2021-06-03 11:14:58 UTC
Hi Nick, please also update the preference description. I am adding a dependency on the recent rephrase that will probably be backported/pushed first to avoid additional confusion.
Comment 5 Andrew Fuerste-Henry 2021-06-03 21:14:12 UTC
Created attachment 121609 [details] [review]
Bug 28455: Update wording on TrackLastPatronActivity

This patch updates the wording on TrackLackPatronActivity to maintain the corrections from bug 28467 and also reflect the change made in this bug. It should now read: The first time each day that a patron either logs into the OPAC, connects to Koha via SIP, or checks an item out, borrowers.lastseen will update with the current date and time.
Comment 6 Andrew Fuerste-Henry 2021-06-03 21:14:58 UTC
I added a patch to update the syspref and set this back to Needs Signoff. Thanks!
Comment 7 David Nind 2021-06-03 23:16:57 UTC
Created attachment 121617 [details] [review]
Bug 28455: lastseen should be updated at checkout if TrackLastPatronActivity is enabled

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>

Signed-off-by: David Nind <david@davidnind.com>
Comment 8 David Nind 2021-06-03 23:17:06 UTC
Created attachment 121618 [details] [review]
Bug 28455: Update wording on TrackLastPatronActivity

This patch updates the wording on TrackLackPatronActivity to maintain the corrections from bug 28467 and also reflect the change made in this bug. It should now read: The first time each day that a patron either logs into the OPAC, connects to Koha via SIP, or checks an item out, borrowers.lastseen will update with the current date and time.

Signed-off-by: David Nind <david@davidnind.com>
Comment 9 Emmi Takkinen 2021-06-29 07:17:12 UTC
Created attachment 122482 [details] [review]
Bug 28455: lastseen should be updated at checkout if TrackLastPatronActivity is enabled

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Emmi Takkinen <emmi.takkinen@koha-suomi.fi>
Comment 10 Emmi Takkinen 2021-06-29 07:17:45 UTC
Created attachment 122483 [details] [review]
Bug 28455: Update wording on TrackLastPatronActivity

This patch updates the wording on TrackLackPatronActivity to maintain the corrections from bug 28467 and also reflect the change made in this bug. It should now read: The first time each day that a patron either logs into the OPAC, connects to Koha via SIP, or checks an item out, borrowers.lastseen will update with the current date and time.

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Emmi Takkinen <emmi.takkinen@koha-suomi.fi>
Comment 11 Martin Renvoize 2021-06-29 14:07:46 UTC
Created attachment 122493 [details] [review]
Bug 28455: lastseen should be updated at checkout if TrackLastPatronActivity is enabled

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Emmi Takkinen <emmi.takkinen@koha-suomi.fi>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 12 Martin Renvoize 2021-06-29 14:07:50 UTC
Created attachment 122494 [details] [review]
Bug 28455: Update wording on TrackLastPatronActivity

This patch updates the wording on TrackLackPatronActivity to maintain the corrections from bug 28467 and also reflect the change made in this bug. It should now read: The first time each day that a patron either logs into the OPAC, connects to Koha via SIP, or checks an item out, borrowers.lastseen will update with the current date and time.

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Emmi Takkinen <emmi.takkinen@koha-suomi.fi>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 13 Martin Renvoize 2021-06-29 14:08:46 UTC
Works as expected, makes sense.

Passing QA
Comment 14 Jonathan Druart 2021-07-06 09:05:50 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 15 Kyle M Hall 2021-07-09 17:54:45 UTC
Pushed to 21.05.x for 21.05.02
Comment 16 Fridolin Somers 2021-08-02 20:56:10 UTC
In this case i my opinion we should rename Koha::Patron::track_login into track_activity, same for C4::Auth::track_login_daily.
Comment 17 Fridolin Somers 2021-08-02 20:56:46 UTC
Pushed to 20.11.x for 20.11.09
Comment 18 Victor Grousset/tuxayo 2021-08-16 18:27:18 UTC
Not backported to oldoldstable (20.05.x). Feel free to ask if it's needed.